Title: CVE-2020-24394 Linux Kernel vulnerability in StarWind VSAN for vSphere (VSA)

Note: StarWind will continue to update this vulnerability as new information becomes available.

Vulnerability ID: SW-20210325-0004

Version: 1.0

Date: 2021-03-25

Status: Final

CVEs: CVE-2020-24394

Summary

In the Linux kernel before 5.7.8, fs/nfsd/vfs.c (in the NFS server) can set incorrect permissions on new filesystem objects when the filesystem lacks ACL support, aka CID-22cf8419f131. This occurs because the current umask is not considered.

Impact 

An attacker could possibly use this to expose sensitive information or violate system integrity.

Vulnerability Scoring

CVE CVSS 2.0 Score CVSS 3.x Score
CVE-2020-24394 3.6 (LOW) 7.1 (HIGH)

Affected Products:

StarWind HCA, SA, VTLA and software installations with the following builds:

StarWind VSAN for vSphere build 12533
StarWind VSAN for vSphere build 12658
StarWind VSAN for vSphere build 12859
StarWind VSAN for vSphere build 13170
StarWind VSAN for vSphere build 13586
StarWind VSAN for vSphere build 13861

Not affected products:

StarWind VSAN for Hyper-V (all versions)

StarWind VTL component (all versions for Windows Server)

StarWind V2V (all versions)

StarWind Tape Redirector component (all versions)

StarWind Deduplication Analyzer (all versions)

StarWind rPerf (all versions)

StarWind iSCSI Accelerator (all versions)

StarWind NVMe-oF Initiator (all versions)

Software Versions and Fixes

Fixed in StarWind VSAN for vSphere build 14033

Workaround

Update StarWind VSAN for vSphere to the build 14033 or higher

Obtaining Software Fixes 

Software updates will be available in StarWind release notes – https://www.starwindsoftware.com/release-notes-build. To update the software, perform the steps described at the following link  – https://knowledgebase.starwindsoftware.com/guidance/upgrading-from-any-starwind-version-to-any-starwind-version/ or contact support to perform an update. You can submit a support request using the following link https://www.starwindsoftware.com/support-form or contact Support directly via email support@starwind.com or via phone +1 617 829 4499.

Status of Notice

Final

StarWind will continue to update information regarding this vulnerability as new details become available.

This vulnerability article should be considered as the single source of current, up-to-date, authorized and accurate information posted by StarWind Software.

Revision History 

Revision # Date Comments
1.0 2021-03-25 Initial Public Release and Final Status